summaryrefslogtreecommitdiff
path: root/test-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test-build.sh')
-rwxr-xr-xtest-build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test-build.sh b/test-build.sh
index 45a44f7..dc78734 100755
--- a/test-build.sh
+++ b/test-build.sh
@@ -1,5 +1,5 @@
#!/bin/sh
-echo "tcc -Wall main.c -o toc" && tcc -Wall main.c -o toc || exit 1 # test without any compiler flags
+echo "tcc -DCOMPILE_TIME_FOREIGN_FN_SUPPORT=0 -Wall main.c -o toc" && tcc -DCOMPILE_TIME_FOREIGN_FN_SUPPORT=0 -Wall main.c -o toc || exit 1 # test without compile time foreign fn support
for CC in tcc gcc clang g++ ; do
CC="$CC" CFLAGS='-Werror' ./build.sh || exit 1
CC="$CC" CFLAGS='-Werror' ./build.sh release || exit 1